## com.baidubce.services.media.model
Class ThumbnailTargetStatus

    java.lang.Object
      com.baidubce.services.media.model.ThumbnailTargetStatus

    public class ThumbnailTargetStatus

extends Object

Constructor Summary
`ThumbnailTargetStatus()`

Method Summary
`String` `getFormat()`
`Integer` `getHeightInPixel()`
`String` `getKeyPrefix()`
`List<String>` `getKeys()`
`String` `getSizingPolicy()`
`Integer` `getWidthInPixel()`
`void` `setFormat(String format)`
`void` `setHeightInPixel(Integer heightInPixel)`
`void` `setKeyPrefix(String keyPrefix)`
`void` `setKeys(List<String> keys)`
`void` `setSizingPolicy(String sizingPolicy)`
`void` `setWidthInPixel(Integer widthInPixel)`
`String` `toString()`
`ThumbnailTargetStatus` `withFormat(String format)`
`ThumbnailTargetStatus` `withHeightInPixel(Integer heightInPixel)`
`ThumbnailTargetStatus` `withKeyPrefix(String keyPrefix)`
`ThumbnailTargetStatus` `withKeys(List<String> keys)`
`ThumbnailTargetStatus` `withSizingPolicy(String sizingPolicy)`
`ThumbnailTargetStatus` `withWidthInPixel(Integer widthInPixel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThumbnailTargetStatus

    public ThumbnailTargetStatus()

Method Detail

### getKeyPrefix

    public String getKeyPrefix()

### setKeyPrefix

    public void setKeyPrefix(String keyPrefix)

### withKeyPrefix

    public ThumbnailTargetStatus withKeyPrefix(String keyPrefix)

### getFormat

    public String getFormat()

### setFormat

    public void setFormat(String format)

### withFormat

    public ThumbnailTargetStatus withFormat(String format)

### getSizingPolicy

    public String getSizingPolicy()

### setSizingPolicy

    public void setSizingPolicy(String sizingPolicy)

### withSizingPolicy

    public ThumbnailTargetStatus withSizingPolicy(String sizingPolicy)

### getWidthInPixel

    public Integer getWidthInPixel()

### setWidthInPixel

    public void setWidthInPixel(Integer widthInPixel)

### withWidthInPixel

    public ThumbnailTargetStatus withWidthInPixel(Integer widthInPixel)

### getHeightInPixel

    public Integer getHeightInPixel()

### setHeightInPixel

    public void setHeightInPixel(Integer heightInPixel)

### withHeightInPixel

    public ThumbnailTargetStatus withHeightInPixel(Integer heightInPixel)

### getKeys

    public List<String> getKeys()

### setKeys

    public void setKeys(List<String> keys)

### withKeys

    public ThumbnailTargetStatus withKeys(List<String> keys)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.